Subject: Re: [PATCH v2 5/7] diff: simplify parsing of diff.colormovedws

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 1 Aug 2025 10:47:30 +0200

On Thu, Jul 31, 2025 at 03:46:04PM -0700, Junio C Hamano wrote:
> The code to parse this configuration variable, whose value is a
> comma separated known tokens like "ignore-space-change" and

Should this read "comma-separated list of known tokens"?

> "ignore-all-space", uses string_list_split() to split the value into
> pieces, and then places each piece of string in a strbuf to trim,
> before comparing the result with the list of known tokens.
> 
> Thanks to the previous steps, now string_list_split() can trim the
> resulting pieces before it places them in the string list.  Use it
> to simplify the code.

The change itself makes sense.

Patrick